Skip to main content
GET
/
v1
/
threads
/
{threadId}
Get thread
curl --request GET \
  --url https://capy.ai/api/v1/threads/{threadId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "projectId": "<string>",
  "title": "<string>",
  "status": "active",
  "tasks": [
    {
      "id": "<string>",
      "identifier": "<string>",
      "title": "<string>",
      "status": "backlog"
    }
  ],
  "pullRequests": [
    {
      "number": 0,
      "url": "<string>",
      "repoFullName": "<string>",
      "state": "<string>",
      "headRef": "<string>",
      "baseRef": "<string>",
      "draft": true
    }
  ],
  "slackThreads": [
    {
      "teamId": "<string>",
      "channelId": "<string>",
      "threadTs": "<string>",
      "url": "<string>"
    }
  ],
  "createdAt": "<string>",
  "updatedAt": "<string>"
}

Authorizations

Authorization
string
header
required

API token (capy_xxxx). Generate at capy.ai/settings/tokens

Path Parameters

threadId
string
required

Thread jam ID.

Response

Success

id
string
required
projectId
string
required
title
string | null
required
status
enum<string>
required
Available options:
active,
idle,
archived
tasks
object[]
required
pullRequests
object[]
required
slackThreads
object[]
required
createdAt
string
required
updatedAt
string
required